<template>
  <div></div>
</template>

<script>
import { websitContractSignSign } from '@/api/networkContractSigning'
export default {
  mounted() {
    if (this.$route?.query?.id) {
      websitContractSignSign({
        id: this.$route?.query?.id,
        returnUrl: `${window.location.href.split('#')?.[0]}#/networkSigning?id=${this.$route?.query?.id}`
      }).then(res => {
        if (res.data.jump) {
          window.location.href = res.data.url
        } else {
          window.location.href = `${
            window.location.href.split('#')?.[0]
          }#/setting/networkSigning/networkContractSigning?id=${this.$route?.query?.id}`
        }
      })
    }
  }
}
</script>

<style></style>
